Add value to customer preference key
POST
/cms/customer/preference/{pref_key}/add
const url = 'https://api.example.com/cms/customer/preference/example/add';const options = { method: 'POST', headers: { 'API-Key': '<API-Key>', Authorization: 'Bearer <token>', Token: '<Token>', 'Content-Type': 'application/json' }, body: '{"value":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.example.com/cms/customer/preference/example/add \ --header 'API-Key: <API-Key>' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Token: <Token>' \ --data '{ "value": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”pref_key
required
string
Preference key to update
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
value
string
Example generated
{ "value": "example"}Responses
Section titled “Responses”Value added to preference key
Media typeapplication/json
object
success
boolean
data
Array<string>
Example generated
{ "success": true, "data": [ "example" ]}